# ApplicationFramework
PTKernel
DBC

# DBC_VArrayNodeOfVArrayOfExtCharacter Class Reference

`#include <DBC_VArrayNodeOfVArrayOfExtCharacter.hxx>`

Inheritance diagram for DBC_VArrayNodeOfVArrayOfExtCharacter:

[legend]

## Public Member Functions

Standard_EXPORT | DBC_VArrayNodeOfVArrayOfExtCharacter ()
Standard_EXPORT | DBC_VArrayNodeOfVArrayOfExtCharacter (const Standard_ExtCharacter &aValue)
Standard_EXPORT void | SetValue (const Standard_ExtCharacter &aValue)
Standard_EXPORT Standard_Address | Value () const
| DBC_VArrayNodeOfVArrayOfExtCharacter (const Storage_stCONSTclCOM &a)
Standard_ExtCharacter | _CSFDB_GetDBC_VArrayNodeOfVArrayOfExtCharactermyValue () const
void | _CSFDB_SetDBC_VArrayNodeOfVArrayOfExtCharactermyValue (const Standard_ExtCharacter p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_ExtCharacter | myValue

## Constructor & Destructor Documentation

Standard_EXPORT DBC_VArrayNodeOfVArrayOfExtCharacter::DBC_VArrayNodeOfVArrayOfExtCharacter | ( |  | ) |

Standard_EXPORT DBC_VArrayNodeOfVArrayOfExtCharacter::DBC_VArrayNodeOfVArrayOfExtCharacter | ( | const Standard_ExtCharacter & | aValue | ) |

DBC_VArrayNodeOfVArrayOfExtCharacter::DBC_VArrayNodeOfVArrayOfExtCharacter | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_ExtCharacter DBC_VArrayNodeOfVArrayOfExtCharacter::_CSFDB_GetDBC_VArrayNodeOfVArrayOfExtCharactermyValue | ( |  | ) | const`[inline]`

void DBC_VArrayNodeOfVArrayOfExtCharacter::_CSFDB_SetDBC_VArrayNodeOfVArrayOfExtCharactermyValue | ( | const Standard_ExtCharacter | p | ) | `[inline]`

Standard_EXPORT const DBC_VArrayNodeOfVArrayOfExtCharacter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

Standard_EXPORT void DBC_VArrayNodeOfVArrayOfExtCharacter::SetValue | ( | const Standard_ExtCharacter & | aValue | ) |

Standard_EXPORT Standard_Address DBC_VArrayNodeOfVArrayOfExtCharacter::Value | ( |  | ) | const

## Field Documentation

Standard_ExtCharacter DBC_VArrayNodeOfVArrayOfExtCharacter::myValue `[private]`

The documentation for this class was generated from the following file:

- DBC_VArrayNodeOfVArrayOfExtCharacter.hxx